# Uses of Interface
org.eclipse.ui.texteditor.spelling.ISpellingProblemCollector

Packages that use ISpellingProblemCollector
Package
Description
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.

## Uses of ISpellingProblemCollector in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling that return ISpellingProblemCollector
Modifier and Type
Method
Description
`protected ISpellingProblemCollector`
SpellingReconcileStrategy.`createSpellingProblemCollector()`
Creates a new spelling problem collector.
Methods in org.eclipse.ui.texteditor.spelling with parameters of type ISpellingProblemCollector
Modifier and Type
Method
Description
`void`
ISpellingEngine.`check(IDocument document, IRegion[] regions, SpellingContext context, ISpellingProblemCollector collector, IProgressMonitor monitor)`
Checks the given regions in the given document.
`void`
SpellingService.`check(IDocument document, IRegion[] regions, SpellingContext context, ISpellingProblemCollector collector, IProgressMonitor monitor)`
Checks the given regions in the given document.
`void`
SpellingService.`check(IDocument document, SpellingContext context, ISpellingProblemCollector collector, IProgressMonitor monitor)`
Checks the given document.